summaryrefslogtreecommitdiff
path: root/buildbot
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2020-02-23 12:23:33 +0100
committerChristian Grothoff <christian@grothoff.org>2020-02-23 12:23:33 +0100
commit0892c7a663e025ae59f6b5faede79e9e2264b08d (patch)
tree1bae2fd3a1d4632d707ac2d122464adab43cdec8 /buildbot
parentd3fb7abb758ddc985d8abb9ba8043aea95db0922 (diff)
downloaddeployment-0892c7a663e025ae59f6b5faede79e9e2264b08d.tar.gz
deployment-0892c7a663e025ae59f6b5faede79e9e2264b08d.tar.bz2
deployment-0892c7a663e025ae59f6b5faede79e9e2264b08d.zip
remove dead logic
Diffstat (limited to 'buildbot')
-rwxr-xr-xbuildbot/build-docs.sh25
-rwxr-xr-xbuildbot/build-walletcore.sh5
-rw-r--r--buildbot/master.cfg1
3 files changed, 24 insertions, 7 deletions
diff --git a/buildbot/build-docs.sh b/buildbot/build-docs.sh
index e6b4420..8b7ed69 100755
--- a/buildbot/build-docs.sh
+++ b/buildbot/build-docs.sh
@@ -1,4 +1,25 @@
#!/bin/bash
+
set -eu
-cd ~/deployment/taler-docbuild
-./update_docs.sh
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo head)
+ git reset --hard "$branch"
+}
+
+export PATH=$HOME/.local/bin:$PATH
+
+cd $HOME/docs
+fetch
+make html
+make latexpdf
+
+mkdir -p $HOME/build/docs/html/
+mkdir -p $HOME/build/docs/pdf/
+
+cp -r _build/html/* $HOME/build/docs/html/
+cp -r _build/latex/*.pdf $HOME/build/docs/pdf/
+
diff --git a/buildbot/build-walletcore.sh b/buildbot/build-walletcore.sh
deleted file mode 100755
index 8d8e9f4..0000000
--- a/buildbot/build-walletcore.sh
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/sh
-set -eu
-
-cd $HOME/deployment/taler-walletbuild
-./build_wallet-core.sh
diff --git a/buildbot/master.cfg b/buildbot/master.cfg
index 8d16da7..4d4bf4c 100644
--- a/buildbot/master.cfg
+++ b/buildbot/master.cfg
@@ -651,6 +651,7 @@ DEMO_SERVICES_CHECKER_FACTORY.addStep(
)
)
+# NOTE: this is not in use!
DEBUG_BUILDER = util.BuilderConfig(
name="debug-builder",
workernames=["debug-worker"],